Bug 1320961 - /usr/lib/rpm/find-debuginfo.sh fails with "too many notes" error
Summary: /usr/lib/rpm/find-debuginfo.sh fails with "too many notes" error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rpm
Version: 6.8
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: rc
: ---
Assignee: Packaging Maintenance Team
QA Contact: Karel Srot
URL:
Whiteboard:
Depends On: 1194817
Blocks: 1163378 CVE-2016-0636 1320657 1320662 1321044 1367189
TreeView+ depends on / blocked
 
Reported: 2016-03-24 11:17 UTC by jiri vanek
Modified: 2016-08-15 19:45 UTC (History)
18 users (show)

Fixed In Version: rpm-4.8.0-55.el6
Doc Type: Bug Fix
Doc Text:
Clone Of: 1194817
Environment:
Last Closed: 2016-05-11 00:54:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:0936 normal SHIPPED_LIVE rpm bug fix and enhancement update 2016-05-10 22:54:44 UTC

Description jiri vanek 2016-03-24 11:17:07 UTC
+++ This bug was initially created as a clone of Bug #1194817 +++

Description of problem:

 /usr/lib/rpm/find-debuginfo.sh fails with mysterious messages during rpmbuild

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. fedpkg clone -a java-1.8.0-openjdk
2. cd java-1.8.0-openjdk
3. fedpkg srpm
   Note the name of the rpm produced
4. fedpkg scratch-build --srpm $NAME_OF_RPM_FROM_PREVIOUS_STEP --target f21

Actual results:

From build.log (https://kojipkgs.fedoraproject.org//work/tasks/6124/9006124/build.log):

+ /usr/lib/rpm/find-debuginfo.sh --strict-build-id -m --run-dwz --dwz-low-mem-die-limit 10000000 --dwz-max-die-limit 50000000 /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.40-21.b25.fc21.i386
stat: cannot stat '/builddir/build/BUILDROOT/java-1.8.0-openjdk-1.8.0.40-21.b25.fc21.i386/usr/lib/jvm/java-1.8.0-openjdk-1.8.0.40-21.b25.fc21.i386-debug/jre/lib/i386/server/libjvm.so,': No such file or directory
stat: cannot stat 'too': No such file or directory
stat: cannot stat 'many': No such file or directory
stat: cannot stat 'notes': No such file or directory
stat: cannot stat '(256)': No such file or directory
stat: cannot stat '/builddir/build/BUILDROOT/java-1.8.0-openjdk-1.8.0.40-21.b25.fc21.i386/usr/lib/jvm/java-1.8.0-openjdk-1.8.0.40-21.b25.fc21.i386/jre/lib/i386/server/libjvm.so,': No such file or directory
extracting debug info from /builddir/build/BUILDROOT/java-1.8.0-openjdk-1.8.0.40-21.b25.fc21.i386/usr/lib/jvm/java-1.8.0-openjdk-1.8.0.40-21.b25.fc21.i386-debug/jre/lib/jexec
stat: cannot stat 'too': No such file or directory
stat: cannot stat 'many': No such file or directory
stat: cannot stat 'notes': No such file or directory
stat: cannot stat '(256)': No such file or directory

Expected results:
/usr/lib/rpm/find-debuginfo.sh works correctly, or fails gracefully.

Additional info:

--- Additional comment from Omair Majid on 2015-02-22 16:14:14 EST ---

Looks like this upstream bug: http://www.rpm.org/ticket/887

--- Additional comment from jiri vanek on 2015-02-23 08:13:22 EST ---

Looking to the satus the changeset is already pushed. Reassigning and asking for backport.

--- Additional comment from jiri vanek on 2015-02-23 08:14:09 EST ---

Ah its already reassigned.

RPM, can you backport this patch to f21?

--- Additional comment from Omair Majid on 2015-03-03 10:55:12 EST ---

Any updates on this? This is preventing us from fixing bugs in the package...

--- Additional comment from Omair Majid on 2015-03-03 10:58:29 EST ---

In case it wasn't clear, the failure in /usr/lib/rpm/find-debuginfo.sh makes the entire rpmbuild fail. We can't build packages.

--- Additional comment from Florian Festi on 2015-03-03 12:02:53 EST ---

Added patch to 4.12.0.1-5

--- Additional comment from jiri vanek on 2015-03-04 09:09:57 EST ---

Modified? -  Is there some place I can add karma?

--- Additional comment from Florian Festi on 2015-03-05 06:00:21 EST ---

Sri, still new to this package maintainer business.

https://admin.fedoraproject.org/updates/rpm-4.12.0.1-5.fc21

--- Additional comment from Fedora Update System on 2015-03-05 06:03:48 EST ---

rpm-4.12.0.1-5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/rpm-4.12.0.1-5.fc21

--- Additional comment from Fedora Update System on 2015-03-06 01:58:52 EST ---

Package rpm-4.12.0.1-5.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rpm-4.12.0.1-5.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-3307/rpm-4.12.0.1-5.fc21
then log in and leave karma (feedback).

--- Additional comment from Omair Majid on 2015-03-06 10:15:25 EST ---

Would it be possible to create a build override for this? This will allow us to start building OpenJDK packages in F21 again, without having to wait for the package to move through updates-testing to updates (which, I am afraid, will take a week or two).

--- Additional comment from Fedora Update System on 2015-03-15 21:41:59 EDT ---

rpm-4.12.0.1-5.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 1 jiri vanek 2016-03-24 11:23:29 UTC
Hello!

This bug had bitten us now in Rhel 6.8!

We had an unexpectedsecurity release, and we can not update 6.8 packages.


>
> + /usr/lib/rpm/find-debuginfo.sh --strict-build-id
> /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.77-1.b03.el6.x86_64
> stat: cannot stat
> `/builddir/build/BUILDROOT/java-1.8.0-openjdk-1.8.0.77-
> 1.b03.el6.x86_64/usr/lib/jvm/java-1.8.0-openjdk-1.8.0.77-
> 1.b03.el6.x86_64-debug/jre/lib/amd64/server/libjvm.so,':
> No such file or directory
> stat: cannot stat `too': No such file or directory
> stat: cannot stat `many': No such file or directory
> stat: cannot stat `notes': No such file or directory
> stat: cannot stat `header': No such file or directory
> stat: cannot stat `sections': No such file or directory
> stat: cannot stat `(256)': No such file or directory
> stat: cannot stat
> `/builddir/build/BUILDROOT/java-1.8.0-openjdk-1.8.0.77-
> 1.b03.el6.x86_64/usr/lib/jvm/java-1.8.0-openjdk-1.8.0.77-
> 1.b03.el6.x86_64/jre/lib/amd64/server/libjvm.so,':
> No such file or directory
> stat: cannot stat `too': No such file or directory
> stat: cannot stat `many': No such file or directory
> stat: cannot stat `notes': No such file or directory
> stat: cannot stat `header': No such file or directory
> stat: cannot stat `sections': No such file or directory
> stat: cannot stat `(256)': No such file or directory
>
> As far as I can tell, it's not an issue with our build. The 6.8
> spec file is
> nearly
> the same as the 6.7 one (bar the addition of the SunEC provider)
> and the
> OpenJDK tarball
> being used is identical. The error above suggests to me this is
> something to
> do with
> the toolchain, which is why my first approach for tackling this was
> to rule
> out any
> changes to the build flags.
>
> Any idea who can contact / file a bug with to get this resolved?
> RHEL 6.8
> goes out
> soon and we currently can't build on it.
>
> x86_64 build failure:
> https://brewweb.devel.redhat.com/taskinfo?taskID=10724165
> i686 build failure: https://brewweb.devel.redhat.com/buildinfo?buil
> dID=487540
>
> Thanks,
> -- 
> Andrew :)
>
> Senior Free Java Software Engineer
> Red Hat, Inc. (http://www.redhat.com)
>
> PGP Key: ed25519/35964222 (hkp://keys.gnupg.net)
> Fingerprint = 5132 579D D154 0ED2 3E04  C5A0 CFDA 0F9B 3596 4222
>
>
>
Same with java-1.7.0-openjdk:

stat: cannot stat `/builddir/build/BUILDROOT/java-1.7.0-openjdk-
1.7.0.99-2.6.5.1.el6.i386/usr/lib/jvm/java-1.7.0-openjdk-
1.7.0.99/jre/lib/i386/client/libjvm.so,': No \
such file or directory
stat: cannot stat `too': No such file or directory
stat: cannot stat `many': No such file or directory
stat: cannot stat `notes': No such file or directory
stat: cannot stat `header': No such file or directory
stat: cannot stat `sections': No such file or directory
stat: cannot stat `(256)': No such file or directory
stat: cannot stat `/builddir/build/BUILDROOT/java-1.7.0-openjdk-
1.7.0.99-2.6.5.1.el6.i386/usr/lib/jvm/java-1.7.0-openjdk-
1.7.0.99/jre/lib/i386/server/libjvm.so,': No \
such file or directory
stat: cannot stat `too': No such file or directory
stat: cannot stat `many': No such file or directory
stat: cannot stat `notes': No such file or directory
stat: cannot stat `header': No such file or directory
stat: cannot stat `sections': No such file or directory
stat: cannot stat `(256)': No such file or directory

https://brewweb.devel.redhat.com/taskinfo?taskID=10725251

Comment 2 jiri vanek 2016-03-24 11:25:17 UTC
For record:

<lkardos> * Thu Nov 26 2015 Jan Kaluza <jkaluza@redhat.com> 5.04-27  - fix CVE-2014-3710 (out-of-bounds read in elf note headers)
<lkardos> is suspicious
<lkardos> And it is CVE
<jvanek> we must fix that debug.sh then
<lkardos> indeed

Comment 4 jiri vanek 2016-03-24 11:46:58 UTC
It broke oll 6.7 package sanity tests for rebuild. Hard to say what was broken on base OS machines They are never clean.

Comment 7 Ľuboš Kardoš 2016-03-24 12:09:08 UTC
The problem is that the command file changed its output in some situations as a reaction on some CVE. This causes the fail of rpmbuild. The fix for this is easy and it shouldn't cause any other problem so we should apply this fix for rhel-6.8.

The problem is that the file was also updated in rhel-6.7... So we have to fix rpmbuild in rhel-6.7 too or modify fix for the file command which causes these problems.

Comment 9 Ľuboš Kardoš 2016-03-24 12:35:42 UTC
Blocker removed by mistake, I am re-adding them.

Comment 23 errata-xmlrpc 2016-05-11 00:54:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0936.html


Note You need to log in before you can comment on or make changes to this bug.